orgs:
  knative-sandbox:
    name: Knative Sandbox
    description: Sandbox for projects that are part of the broader knative project
    email: knative-admins@googlegroups.com
    billing_email: knative@google.com
    company: ""
    location: ""
    has_organization_projects: true
    has_repository_projects: true
    members_can_create_repositories: false
    default_repository_permission: read
    admins:
    - anicolao
    - bsnchan
    - evankanderson
    - google-admin
    - googlebot
    - grantr
    - knative-prow-robot
    - markusthoemmes
    - mattmoor
    - mbehrendt
    - pmorie
    - ronavn
    - tcnghia
    - thisisnotapril
    members:
    - abrennan89
    - AceHack
    - ahmetb
    - akashrv
    - akerekes
    - akrausesap
    - alanfx
    - albertomilan
    - alexellis
    - aliok
    - AlyssaDaemon
    - andrew-su
    - anishj0shi
    - antoineco
    - aslakknutsen
    - aslom
    - balopat
    - bbrowning
    - bcle
    - BenTheElder
    - billimek
    - bkrannich
    - bobcatfish
    - bparees
    - bradhoekstra
    - bretmcg
    - bszwej
    - btardell
    - capri-xiyue
    - cbickel
    - chaodaiG
    - chizhg
    - cooperneil
    - coryrc
    - csantanapr
    - cscheiber
    - Cynocracy
    - daisy-ycguo
    - davidor
    - davyodom
    - dbbaskette
    - deissnerk
    - devguyio
    - dieucao
    - dprotaso
    - droot
    - duglin
    - emalm
    - emanor
    - eobrain
    - ericbottard
    - ericlem
    - fabolive
    - fj
    - flavorjones
    - frnksgr
    - garron
    - georgeharley
    - glaforge
    - glyn
    - gorkem
    - gottskalk
    - grac3gao
    - grayside
    - gsiener
    - gyliu513
    - halvards
    - Harwayne
    - hev
    - houshengbo
    - ian-mi
    - idoru
    - igorbelianski
    - igorpeshansky
    - imikushin
    - itsmurugappan
    - jama22
    - jasonpolites
    - jchesterpivotal
    - jcrossley3
    - jeff-hobbs
    - jfmyers9
    - jjzeng-seattle
    - jkjell
    - jldec
    - jmprusi
    - joaedwar
    - johnalowry
    - johnmccabe
    - jonatasbaldin
    - josephburnett
    - JRBANCEL
    - jskeet
    - julz
    - jzelinskie
    - k4leung4
    - knative-metrics-robot
    - knative-prow-releaser-robot
    - knative-test-reporter-robot
    - krumts
    - lance
    - lberk
    - lesv
    - lichuqiang
    - lionelvillard
    - liu-cong
    - macruzbar
    - markfisher
    - markito
    - matzew
    - mayaspivak
    - mdemirhan
    - mfine30
    - mgencur
    - michaelmarth
    - mikehelmick
    - minsungh
    - MontyCarter
    - mpetason
    - n3wscott
    - nachocano
    - nader-ziada
    - nak3
    - nicolaferraro
    - nimbcode
    - nlopezgi
    - ormos
    - peterfeifanchen
    - phamilton
    - pierDipi
    - piotrmsc
    - pkosiec
    - priyawadhwa
    - prydonius
    - radufa
    - RaeesBhatti
    - rafaeltello
    - rakesh-garimella
    - RamXX
    - rfranzke
    - rhuss
    - richterdavid
    - rmorgan
    - rosenhouse
    - rprakashg
    - rseroter
    - rusde
    - saturnism
    - savitaashture
    - sbezverk
    - sclevine
    - scothis
    - sebgoa
    - shrajfr12
    - shreejad
    - skim1420
    - slinkydeveloper
    - smarterclayton
    - smoser-ibm
    - srvaroa
    - ssisil
    - sspeiche
    - st3v
    - steren
    - stevekuznetsov
    - sukhil-suresh
    - syedriko
    - taragu
    - tardieu
    - tejal29
    - travis-minke-sap
    - TristonianJones
    - troytop
    - trshafer
    - tzununbekov
    - uwefassnacht
    - vagababov
    - vaikas
    - vbatts
    - vdemeester
    - wfernandes
    - yanweiguo
    - yaron2
    - yolocs
    - yt3liu
    - yuyantingzero
    - zargarpur
    - zhanggbj
    - ZhiminXiang
    - zouyee
    - zrob
    repos:
      # NOTE: If you are adding a repo here, you may also want to grant repo
      # permissions for one or more teams, in the next section.
      build-spike:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: Empty repo for testing external build integration with `kn`.
        has_projects: true
        has_wiki: false
      discovery:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: "Enable interactions with a cluster and its resources: built-in types, CRDs and COs."
        has_projects: true
        has_wiki: false
      eventing-kafka:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: Kafka integrations with Knative Eventing.
        has_projects: true
        has_wiki: false
      eventing-kafka-broker:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: Alternate Kafka Broker implementation.
        has_projects: true
        has_wiki: false
      eventing-rabbitmq:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: RabbitMQ eventing components. Knative Source and Broker.
        has_projects: true
        has_wiki: false
      net-certmanager:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: Integration between knative and certmanager for managing TLS certs automatically.
        has_projects: true
        has_wiki: false
      net-contour:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: A Knative ingress controller for Project Contour
        has_projects: true
        has_wiki: false
      net-http01:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: An ACME HTTP01 solver for the Knative Certificate CRD.
        has_projects: true
        has_wiki: false
      net-istio:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: A Knative ingress controller for Istio.
        has_projects: true
        has_wiki: false
      net-kourier:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: Purpose-built Knative Ingress implementation using just Envoy
          with no additional CRDs
        has_projects: true
        has_wiki: false
      sample-controller:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: A template project for writing your own controller using the Knative helper libraries.
        has_projects: true
        has_wiki: false
      sample-source:
        allow_merge_commit: false
        allow_rebase_merge: false
        description: A template project for writing your own Knative eventing source.
        has_projects: true
        has_wiki: false
    teams:
      Client Writers:
        description: Grants write access to client-related repositories.
        privacy: closed
        repos:
          build-spike: write
        teams:
          Client WG Leads:
            description: The Working Group Leads for Client
            members:
            - rhuss
            privacy: closed
      Docs Writers:
        description: Grants write access to docs-related repositories.
        privacy: closed
        repos: {}
        teams:
          Docs WG Leads:
            description: The Working Group leads for Docs
            members:
            - samodell
            - abrennan89
            privacy: closed
      Eventing Writers:
        description: Grants write access to eventing-related repositories.
        privacy: closed
        repos:
          eventing-kafka: write
          eventing-rabbitmq: write
          sample-source: write
          discovery: write
        teams:
          Delivery WG Leads:
            description: The Working Group leads for Event Delivery
            members:
            - matzew
            - Harwayne
            privacy: closed
          Eventing WG Leads:
            description: The Working Group leads for Eventing
            members:
            - grantr
            - lionelvillard
            - vaikas
            privacy: closed
          Source WG Leads:
            description: The Working Group leads for Sources
            members:
            - nachocano
            - lionelvillard
            - vaikas
            - n3wscott
            privacy: closed
      Knative Admin:
        description: Individuals in the project who are responsible for billing and
          general project administration.
        privacy: closed
        repos:
          build-spike: admin
          eventing-kafka: admin
          eventing-rabbitmq: admin
          net-certmanager: admin
          net-contour: admin
          net-http01: admin
          net-istio: admin
          net-kourier: admin
          sample-controller: admin
          sample-source: admin
        teams:
          Knative Robots:
            description: Contains robots and only robots.
            members:
            - knative-prow-robot
            - knative-prow-releaser-robot
            - knative-test-reporter-robot
            privacy: closed
          Steering Committee:
            description: ""
            maintainers:
            - isdal
            - pmorie
            - bsnchan
            - mbehrendt
            - thisisnotapril
            privacy: closed
          Technical Oversight Committee:
            description: Members of the Knative Technical Oversight Committee (TOC)
            maintainers:
            - grantr
            - tcnghia
            - markusthoemmes
            - mattmoor
            - evankanderson
            privacy: closed
      Knative Milestone Maintainers:
        description: 'DO NOT RENAME - this group is used by Prow to control who can
          manipulate milestones: https://github.com/knative/test-infra/blob/64615f92c4ebdd4e4423015ffc0db45877660a0d/ci/prow/plugins.yaml#L49'
        privacy: closed
        maintainers:
        - grantr
        - tcnghia
        - markusthoemmes
        - mattmoor
        - evankanderson
        members:
        - mikehelmick
        - rhuss
        - Harwayne
        - vagababov
        - csantanapr
        - josephburnett
        - aslom
        - mdemirhan
        - vaikas
        - k4leung4
        - chaodaiG
        - akashrv
      Observability Writers:
        description: Grants write access to observability-related repositories.
        privacy: closed
        repos: {}
        teams:
          Observability WG Leads:
            description: The Working Group leads for Observability
            members:
            - mdemirhan
            privacy: closed
      Operations Writers:
        description: Grants write access to operations-related repositories.
        privacy: closed
        repos: {}
        teams:
          Operations WG Leads:
            description: The Working Group leads for Operations
            members:
            - houshengbo
            privacy: closed
      Productivity Writers:
        description: Grants write access to productivity-related repositories.
        privacy: closed
        repos: {}
        teams:
          Productivity WG Leads:
            description: The Working Group leads for Productivity
            members:
            - chizhg
            - chaodaiG
            privacy: closed
      Serving Writers:
        description: Grants write access to serving-related repositories.
        privacy: closed
        repos:
          net-certmanager: write
          net-contour: write
          net-http01: write
          net-istio: write
          net-kourier: write
          sample-controller: write
        teams:
          API Core WG Leads:
            description: The Working Group leads for Serving API Core
            members:
            - dprotaso
            - mattmoor
            privacy: closed
          Autoscaling WG Leads:
            description: The Working Group leads for Autoscaling
            members:
            - vagababov
            - markusthoemmes
            privacy: closed
          Networking WG Leads:
            description: The Working Group leads for Networking
            members:
            - tcnghia
            - mdemirhan
            privacy: closed
